Bug 1256973 - [abrt] webkitgtk4: __pthread_mutex_lock(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: __pthread_mutex_lock(): WebKitWebProcess killed by SIGSEGV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0ac2553f01171371f37dd98204e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 19:09 EDT by Jack
Modified: 2015-09-01 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.8.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 08:19:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.13 KB, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: core_backtrace (34.66 KB, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: dso_list (14.53 KB, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: environ (1.71 KB, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: maps (79.69 KB, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: mountinfo (3.54 KB, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: open_fds (1.34 KB, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-25 19:09 EDT, Jack
no flags Details

  None (edit)
Description Jack 2015-08-25 19:09:09 EDT
Version-Release number of selected component:
webkitgtk4-2.8.5-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 27
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     9647
kernel:         4.1.5-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:67
 #1 IPC::Connection::SyncMessageState::dispatchMessages(IPC::Connection*) at /lib64/libwebkit2gtk-4.0.so.37
 #2 IPC::Connection::waitForSyncReply(unsigned long, std::chrono::duration<long, std::ratio<1l, 1000l> >, unsigned int) at /lib64/libwebkit2gtk-4.0.so.37
 #3 IPC::Connection::sendSyncMessage(unsigned long, std::unique_ptr<IPC::MessageEncoder, std::default_delete<IPC::MessageEncoder> >, std::chrono::duration<long, std::ratio<1l, 1000l> >, unsigned int) at /lib64/libwebkit2gtk-4.0.so.37
 #4 bool IPC::Connection::sendSync<Messages::WebProcessProxy::GetPluginProcessConnection>(Messages::WebProcessProxy::GetPluginProcessConnection&&, Messages::WebProcessProxy::GetPluginProcessConnection::Reply&&, unsigned long, std::chrono::duration<long, std::ratio<1l, 1000l> >, unsigned int) at /lib64/libwebkit2gtk-4.0.so.37
 #5 WebKit::PluginProcessConnectionManager::getPluginProcessConnection(unsigned long) at /lib64/libwebkit2gtk-4.0.so.37
 #6 WebKit::PluginProxy::initialize(WebKit::Plugin::Parameters const&) at /lib64/libwebkit2gtk-4.0.so.37
 #7 WebCore::ScrollView::addChild(WTF::PassRefPtr<WebCore::Widget>) at /lib64/libwebkit2gtk-4.0.so.37
 #8 WebCore::WidgetHierarchyUpdatesSuspensionScope::moveWidgets() at /lib64/libwebkit2gtk-4.0.so.37
 #9 WebCore::FrameView::updateEmbeddedObjects() at /lib64/libwebkit2gtk-4.0.so.37
Comment 1 Jack 2015-08-25 19:09:15 EDT
Created attachment 1067065 [details]
File: backtrace
Comment 2 Jack 2015-08-25 19:09:16 EDT
Created attachment 1067066 [details]
File: cgroup
Comment 3 Jack 2015-08-25 19:09:20 EDT
Created attachment 1067067 [details]
File: core_backtrace
Comment 4 Jack 2015-08-25 19:09:21 EDT
Created attachment 1067068 [details]
File: dso_list
Comment 5 Jack 2015-08-25 19:09:23 EDT
Created attachment 1067069 [details]
File: environ
Comment 6 Jack 2015-08-25 19:09:25 EDT
Created attachment 1067070 [details]
File: limits
Comment 7 Jack 2015-08-25 19:09:28 EDT
Created attachment 1067071 [details]
File: maps
Comment 8 Jack 2015-08-25 19:09:30 EDT
Created attachment 1067072 [details]
File: mountinfo
Comment 9 Jack 2015-08-25 19:09:32 EDT
Created attachment 1067073 [details]
File: namespaces
Comment 10 Jack 2015-08-25 19:09:33 EDT
Created attachment 1067074 [details]
File: open_fds
Comment 11 Jack 2015-08-25 19:09:35 EDT
Created attachment 1067075 [details]
File: proc_pid_status
Comment 12 Jack 2015-08-25 19:09:38 EDT
Created attachment 1067076 [details]
File: var_log_messages
Comment 13 Fedora Update System 2015-08-26 14:24:40 EDT
webkitgtk4-2.8.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 14 Fedora Update System 2015-09-01 08:19:08 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.